org.apache.maven.scm.provider.bazaar

## Class BazaarUtils

- java.lang.Object
- - org.apache.maven.scm.provider.bazaar.BazaarUtils

    public final class BazaarUtils
    extends Object

Common code for executing bazaar commands.

Author:
  Torbjorn Eikli Smorgrav

### Method Summary

All Methods Static Methods Concrete Methods
`static ScmResult` `execute(BazaarConsumer consumer, ScmLogger logger, File workingDir, String[] cmdAndArgs)`
`static ScmResult` `execute(File workingDir, String[] cmdAndArgs)`
`static String[]` `expandCommandLine(String[] cmdAndArgs, ScmFileSet additionalFiles)`
`static int` `getCurrentRevisionNumber(ScmLogger logger, File workingDir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### execute

    public static ScmResult execute(BazaarConsumer consumer,
                                    ScmLogger logger,
                                    File workingDir,
                                    String[] cmdAndArgs)
                             throws ScmException

Throws:
  `ScmException`

#### execute

    public static ScmResult execute(File workingDir,
                                    String[] cmdAndArgs)
                             throws ScmException

Throws:
  `ScmException`

#### expandCommandLine

    public static String[] expandCommandLine(String[] cmdAndArgs,
                                             ScmFileSet additionalFiles)

#### getCurrentRevisionNumber

    public static int getCurrentRevisionNumber(ScmLogger logger,
                                               File workingDir)
                                        throws ScmException

Throws:
  `ScmException`